diff -ur libgexiv2-0.2.1-orig/gexiv2/gexiv2-metadata-exif.cpp libgexiv2-0.2.1/gexiv2/gexiv2-metadata-exif.cpp
--- libgexiv2-0.2.1-orig/gexiv2/gexiv2-metadata-exif.cpp	2010-09-10 17:52:54.000000000 -0400
+++ libgexiv2-0.2.1/gexiv2/gexiv2-metadata-exif.cpp	2010-12-19 19:44:49.883274002 -0500
@@ -235,10 +235,13 @@
 const gchar* gexiv2_metadata_get_exif_tag_label (const gchar* tag) {
     g_return_val_if_fail(tag != NULL, NULL);
     
-    Exiv2::ExifKey key(tag);
-    
     try {
+        Exiv2::ExifKey key(tag);
+#if EXIV2_TEST_VERSION(0, 21, 0)
+        return g_intern_string(key.tagLabel().c_str());
+#else
         return Exiv2::ExifTags::tagLabel (key.tag (), key.ifdId ());
+#endif
     } catch (Exiv2::Error& e) {
         LOG_ERROR(e);
     }
@@ -249,10 +252,13 @@
 const gchar* gexiv2_metadata_get_exif_tag_description (const gchar* tag) {
     g_return_val_if_fail(tag != NULL, NULL);
     
-    Exiv2::ExifKey key(tag);
-    
     try {
+        Exiv2::ExifKey key(tag);
+#if EXIV2_TEST_VERSION(0, 21, 0)
+        return g_intern_string(key.tagDesc().c_str());
+#else
         return Exiv2::ExifTags::tagDesc (key.tag (), key.ifdId ());
+#endif
     } catch (Exiv2::Error& e) {
         LOG_ERROR(e);
     }
